USB_FIND_ALT_SETTING(9)

NAME
usb_find_alt_setting - Given a configuration, find the alternate setting for the given interface.

SYNOPSIS

struct usb_host_interface * usb_find_alt_setting(struct usb_host_config * config, unsigned int iface_num, unsigned int alt_num);

ARGUMENTS

config
    the configuration to search (not necessarily the current config).

iface_num
    interface number to search in

alt_num
    alternate interface setting number to search for.

DESCRIPTION

Search the configuration's interface cache for the given alt setting.

RETURN

The alternate setting, if found. NULL otherwise.

COPYRIGHT